package com.sckw.transport.api.dubbo;

/**
 * @author lfdc
 * @version 1.0
 * @className TransportStatisticsService
 * @description 物流订单dubbo
 * @company sckw
 * @date 2023-09-08 10:06:27
 */
public interface TransportStatisticsService {
    /**
     * 统计承运订单
     *
     * @param topEntId
     * @return
     */
    Integer statisticsLogistics(Long topEntId);

    /**
     * 统计托运订单
     *
     * @param topEntId
     * @return
     */
    Integer statisticsLogisticsByConsign(Long topEntId);

    /**
     * 统计调度派车
     *
     * @param topEntId
     * @return
     */
    Integer statisticsWaybillSendCar(Long topEntId);

    /**
     * 统计待核运单
     *
     * @param topEntId
     * @return
     */
    Integer statisticsPendingVerificationWaybill(Long topEntId);

}
